summaryrefslogtreecommitdiff
path: root/openwrt/package/xinetd/files
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-05-15 20:25:32 +0000
committerNicolas Thill <nico@openwrt.org>2005-05-15 20:25:32 +0000
commitc6e5fd9193d6d28bc16a455d6a1c005a5a771627 (patch)
treec1e839ad9d7cf46e60f8fd47c9b247777773255b /openwrt/package/xinetd/files
parent845b50baacd13cb56fbaf14050681d2c86dcb524 (diff)
downloadmtk-20170518-c6e5fd9193d6d28bc16a455d6a1c005a5a771627.zip
mtk-20170518-c6e5fd9193d6d28bc16a455d6a1c005a5a771627.tar.gz
mtk-20170518-c6e5fd9193d6d28bc16a455d6a1c005a5a771627.tar.bz2
Add xinetd package
SVN-Revision: 912
Diffstat (limited to 'openwrt/package/xinetd/files')
-rw-r--r--openwrt/package/xinetd/files/xinetd.conf6
-rw-r--r--openwrt/package/xinetd/files/xinetd.init21
2 files changed, 27 insertions, 0 deletions
diff --git a/openwrt/package/xinetd/files/xinetd.conf b/openwrt/package/xinetd/files/xinetd.conf
new file mode 100644
index 0000000..bd473ed
--- /dev/null
+++ b/openwrt/package/xinetd/files/xinetd.conf
@@ -0,0 +1,6 @@
+defaults
+{
+
+}
+
+includedir /etc/xinetd.d
diff --git a/openwrt/package/xinetd/files/xinetd.init b/openwrt/package/xinetd/files/xinetd.init
new file mode 100644
index 0000000..2df7a81
--- /dev/null
+++ b/openwrt/package/xinetd/files/xinetd.init
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/xinetd
+RUN_D=/var/run
+PID_F=$RUN_D/xinetd.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ [ -d $RUN_D ] || mkdir -p $RUN_D
+ xinetd $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?